org.apache.maven.scm.command.checkout

## Class CheckOutScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.checkout.CheckOutScmResult

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LocalCheckOutScmResult

    public class CheckOutScmResult
    extends ScmResult

Author:
  Trygve Laugstøl, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `relativePathProjectDirectory` The relative path of the directory of the checked out project in comparison to the checkout directory, or an empty String in case the checkout directory equals the project directory.

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`CheckOutScmResult(List<ScmFile> checkedOutFiles, ScmResult result)`
`CheckOutScmResult(String commandLine, List<ScmFile> checkedOutFiles)`
`CheckOutScmResult(String commandLine, List<ScmFile> checkedOutFiles, String relativePathProjectDirectory)`
`CheckOutScmResult(String commandLine, String revision, List<ScmFile> checkedOutFiles)`
`CheckOutScmResult(String commandLine, String revision, List<ScmFile> checkedOutFiles, String relativePathProjectDirectory)`
`CheckOutScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ScmFile>` `getCheckedOutFiles()`
`String` `getRelativePathProjectDirectory()`
`String` `getRevision()` Checked-out revision.

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### relativePathProjectDirectory

    protected String relativePathProjectDirectory

The relative path of the directory of the checked out project in comparison to the checkout directory, or an empty String in case the checkout directory equals the project directory.

With most SCMs, this is just an empty String, meaning that the checkout directory equals the project directory. But there are cases (e.g. ClearCase) where within the checkout directory, the directory structure of the SCM system is repeated. E.g. if you check out the project "my/project" to "/some/dir", the project sources are actually checked out to "my/project/some/dir". In this example, relativePathProjectDirectory would contain "my/project".

### Constructor Detail

#### CheckOutScmResult

    public CheckOutScmResult(String commandLine,
                             String providerMessage,
                             String commandOutput,
                             boolean success)

#### CheckOutScmResult

    public CheckOutScmResult(String commandLine,
                             List<ScmFile> checkedOutFiles)

#### CheckOutScmResult

    public CheckOutScmResult(String commandLine,
                             String revision,
                             List<ScmFile> checkedOutFiles)

#### CheckOutScmResult

    public CheckOutScmResult(String commandLine,
                             List<ScmFile> checkedOutFiles,
                             String relativePathProjectDirectory)

#### CheckOutScmResult

    public CheckOutScmResult(String commandLine,
                             String revision,
                             List<ScmFile> checkedOutFiles,
                             String relativePathProjectDirectory)

#### CheckOutScmResult

    public CheckOutScmResult(List<ScmFile> checkedOutFiles,
                             ScmResult result)

### Method Detail

#### getCheckedOutFiles

    public List<ScmFile> getCheckedOutFiles()

#### getRelativePathProjectDirectory

    public String getRelativePathProjectDirectory()

Returns:
  the contents of `relativePathProjectDirectory`
See Also:
  `relativePathProjectDirectory`

#### getRevision

    public String getRevision()

Checked-out revision. SCM's that have no revision per repository (or branch) should store `null` here.

Returns:
  the revision that was checked out.
Since:
  1.8